INTERFACE
SUBROUTINE m7_averageproperties&
 & ( KIDIA , KFDIA , KLON, KLEV,&
 & paernl, paerml,&
 & pttn , pm6rp , prhop) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YO_AERO_M7, ONLY : dbc, doc, ddust,&
 & critn, ram2cmr, nmod, naermod,&
 & ibcks, ibcas, ibccs, ibcki,&
 & iocks, iocas, ioccs, iocki,&
 & issas, isscs,&
 & iduas, iducs, iduai, iduci,&
 & iaiti, iacci, icoai,&
 & nsol 
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA, KFDIA, KLON, KLEV
REAL(KIND=JPRB),INTENT(IN) :: paerml(klon ,klev,naermod), paernl(klon ,klev,nmod)
REAL(KIND=JPRB),INTENT(OUT) :: pttn(klon ,klev,naermod), pm6rp(klon ,klev,nmod),&
 & prhop(klon ,klev,nmod) 
END SUBROUTINE m7_averageproperties
END INTERFACE
